import { AjaxInstance, AjaxOption, AxiosMethods } from './types';
type AnyObject = Record<string, any>;
export interface RequestCreator<COPT extends AnyObject, GDataShape extends AnyObject = any> {
    <DataType = GDataShape>(url: string, options?: Partial<AjaxOption | COPT>): {
        (params?: AnyObject | null, opts?: Partial<AjaxOption | COPT>): Promise<DataType>;
    };
}
export declare const generateMethod: <COPT extends AnyObject, GDataShape extends AnyObject = any>(ajax: AjaxInstance, method: AxiosMethods) => RequestCreator<COPT, GDataShape>;
export {};
